Amazing

HTML 5 + Google + Arcade Fire = Interactive Movie

I put in the old address and look at that!  Pretty sure you need Google Chrome for it to work proper.  At the very least, a tabbed browser!

Check out the link!